View Issue Details

IDProjectCategoryView StatusLast Update
0002953SymmetricDSBugpublic2017-01-18 20:00
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.13 
Target Version3.8.13Fixed in Version3.8.13 
Summary0002953: MSSQL Data truncation issue
DescriptionWhen concatenating strings and the result is of type VARCHAR(MAX) and is over 8000 characters, _at least one_ parameter and/or element being used in the concatenation need to be of the VARCHAR(MAX) type otherwise truncation will occur in the resultant string
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 f886b3aa

2017-01-05 11:31:45

josh-a-hicks

Details Diff
0002953: MSSQL Data truncation issue
0002953
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

SymmetricDS: 3.8 008e8a9b

2017-01-18 19:50:49

chenson

Details Diff
0002953: MSSQL Data truncation issue. Fix unit tests
0002953
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlReader.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/AbstractSqlTemplate.java Diff File
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File

Issue History

Date Modified Username Field Change
2017-01-04 11:11 josh-a-hicks New Issue
2017-01-04 11:11 josh-a-hicks Status new => assigned
2017-01-04 11:11 josh-a-hicks Assigned To => josh-a-hicks
2017-01-05 11:37 josh-a-hicks Status assigned => resolved
2017-01-05 11:37 josh-a-hicks Fixed in Version => 3.8.13
2017-01-05 11:37 josh-a-hicks Resolution open => fixed
2017-01-05 12:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 f886b3aa
2017-01-11 09:50 chenson Status resolved => closed
2017-01-18 20:00 chenson Changeset attached => SymmetricDS 3.8 008e8a9b